## lintian-brush 0.162

=== lintian-brush/Makefile ===
.DEFAULT: check

tag-status:
	PYTHONPATH=$(shell pwd)/../py python3 tag-status.py --check

update-renamed-tags:
	python3 renamed-tags.py
	brz diff renamed-tags.json || brz commit -m "Update renamed tags" renamed-tags.json

next:
	PYTHONPATH=$(shell pwd)/../py python3 next.py

check:: testsuite

testsuite::
	PYTHONPATH=$(shell pwd)/../py cargo test

=== lintian-brush/tests/upstream-metadata-file/line-interrupted/in/DESCRIPTION ===
Package: tsne
Type: Package
Title: T-Distributed Stochastic Neighbor Embedding for R (t-SNE)
Version: 0.1-3
Date: 2016-06-04
Author: Justin Donaldson <jdonaldson@gmail.com>
Maintainer: Justin Donaldson <jdonaldson@gmail.com>
Description: A "pure R" implementation of the t-SNE algorithm.
License: GPL
LazyLoad: yes
NeedsCompilation: no
URL: https://github.com/jdonaldson/rtsne/
BugReports: https://github.com/jdonaldson/rtsne/issues
Packaged: 2016-07-15 15:40:42 UTC; jdonaldson
Repository: CRAN
Date/Publication: 2016-07-15 20:02:16

=== debian/changelog ===
lintian-brush (0.162) unstable; urgency=medium

  * Bump the version of hyper to 1.5

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 23 Apr 2025 11:18:21 +0100

lintian-brush (0.161) unstable; urgency=medium

  * dep3-format-patch-author-or-from-is-better: Cope with commented out
    patches or missing patches in debian/patches/series.
    Closes: #1090998
  * rules-requires-root-missing: only set Rules-Requires-Root when
    dpkg < 1.22.13 needs to be supported, and delete it if only
    dpkg >= 1.22.13 is supported. Closes: #1091929
  * Update hyper used. Closes: #1102593

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 22 Dec 2024 19:10:53 +0000

=== lintian-brush/tests/new-package-uses-date-based-version-number/fix/in/debian/changelog ===
example (20200101-1) UNRELEASED; urgency=medium

  * Initial release. (Closes: #XXXXXX)

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 13 May 2022 19:15:57 +0100

=== lintian-brush/tests/out-of-date-standards-version/4.1.1/in/debian/changelog ===
lintrian-brush (0.1) UNRELEASED; urgency=medium

  * Initial release. (Closes: #XXXXXX)

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 16 Feb 2019 15:25:47 +0000

=== lintian-brush/tests/debian-rules-contains-unnecessary-get-orig-source-target/larstiq-opinionated/out/debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	dh_install --blah

=== lintian-brush/tests/debian-rules-sets-dpkg-architecture-variable/more-manipulation/in/debian/rules ===
#! /usr/bin/make -f

CONFIGURE_FLAGS := \
	--disable-fem-toolbox \
	--without-gpskca \
	--without-OpenGL \
	--without-gltools \
	--without-OpenDX \
	--without-grape \
	--without-silo

DEB_HOST_ARCH_OS=$(shell dpkg-architecture -qDEB_HOST_ARCH_OS | tr '[:lower:]' '[:upper:]')
DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
ifneq (,$(filter powerpc ppc64 ppc64el,$(DEB_HOST_ARCH)))
  export DEB_BUILD_MAINT_OPTIONS=hardening=-stackprotector
  CONFIGURE_FLAGS += CC=clang
endif

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_FLAGS)

override_dh_strip:
	dh_strip --dbg-package=libalberta-dbg

=== lintian-brush/tests/debian-rules-uses-as-needed-linker-flag/firstline/in/debian/rules ===
#!/usr/bin/make -f
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

=== lintian-brush/tests/dh-clean-k-is-deprecated/simple/out/debian/rules ===
#!/usr/bin/make -f

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

build: build-stamp

build-stamp:  
	dh_testdir

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/abicheck.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/abicheck


binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== lintian-brush/tests/dh-quilt-addon-but-quilt-source-format/custom-directory/in/debian/rules ===
#!/usr/bin/make -f

export QUILT_PATCH_DIR = debian/pathces-applies

%:
	dh $@ --with=quilt

=== lintian-brush/tests/missing-build-dependency-for-dh_-command/simple/in/debian/rules ===
#!/usr/bin/make

%:
	dh $@

override_dh_build:
	# The next line is empty
	

	dh_python3

=== lintian-brush/tests/package-uses-deprecated-debhelper-compat-version/build-dep-options/in/debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	./run-upstream-testsuite
endif

=== lintian-brush/tests/package-uses-deprecated-debhelper-compat-version/dupe-installsystemd/out/debian/rules ===
all:
	dh --with=blah --buildsystem=python_distutils

override_dh_installsystemd:
	dh_installsystemd -pracoon

=== lintian-brush/tests/package-uses-deprecated-debhelper-compat-version/fail-missing-default/in/debian/rules ===
%:
	dh $@

override_dh_missing:
	dh_missing --fail-missing

=== lintian-brush/tests/package-uses-deprecated-debhelper-compat-version/pybuild/in/debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_build:
	dh_auto_build -- --install-lib=foo

=== lintian-brush/tests/ancient-python-version-field/python2/in/debian/control ===
Source: lintian-brush
X-Python-Version: >= 2.5

Package: lintian-brush
Description: Testing
 Test test

=== lintian-brush/tests/binary-control-field-duplicates-source/simple/in/debian/control ===
Source: blah
Section: net
Priority: optional

Package: blah
Section: vcs
Priority: optional
Description: blah
 blah

=== lintian-brush/tests/build-depends-on-build-essential/comments/in/debian/control ===
Source: blah
Build-Depends:
 debhelper-compat (= 13),
 djvulibre-bin (>= 3.5.25~),
 libdjvulibre-dev (>= 3.5.25~),
 libgraphicsmagick++1-dev,
 libpoppler-private-dev (>= 0.35~),
 libexiv2-dev,
 uuid-dev,
 pkg-config,
# python-nose,
# python-pil,
 locales

=== lintian-brush/tests/build-depends-on-obsolete-package/dh-systemd-debhelper-uptodate/in/debian/control ===
Source: acpi-support
Section: admin
Priority: optional
Maintainer: Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>
Build-Depends: debhelper (>= 10), quilt (>= 0.40),
	libsystemd-dev [linux-any], dh-systemd (>= 1.5), pkg-config

Package: acpi-support
Architecture: all
Depends: acpi-support-base (>= 0.109-1), x11-xserver-utils, acpid (>= 1.0.4),
	lsb-base (>= 1.3-9), pm-utils, ${arch:Depends},
	${misc:Depends}
Description: scripts for handling many ACPI events
 This package contains scripts to react to various ACPI events. It only
 includes scripts for events that can be supported with some level of
 safety cross platform.
 .
 It is able to:
  * Detect loss and gain of AC power, lid closure, and the press of a
    number of specific buttons (on Asus, IBM, Lenovo, Panasonic, Sony
    and Toshiba laptops).
  * Suspend, hibernate and resume the computer, with workarounds for 
    hardware that needs it.
  * On some laptops, set screen brightness.
 .
 Besides some system tools acpi-support recommends vbetool to be able to power
 off the screen and some screensavers to be able to lock the screen on lid
 close.

=== lintian-brush/tests/built-using-for-golang/remove/in/debian/control ===
Source: blah
Architecture: any
Build-Depends: golang-go

Package: blah
Architecture: all
Built-Using: ${misc:Built-Using}
Description: blah
 blah

=== lintian-brush/tests/debhelper-but-no-misc-depends/simple/in/debian/control ===
Source: f2fs-tools
Section: admin
Priority: optional
Maintainer: Jelmer Vernooij <jelmer@debian.org>
Build-Depends:
 debhelper (>= 9)
Standards-Version: 4.2.0

Package: f2fs-tools
Architecture: linux-any
Depends: libf2fs5 (= ${binary:Version}), libf2fs-format4 (= ${binary:Version}), ${shlibs:Depends}
Description: Tools for Flash-Friendly File System
 F2FS is a new filesystem for Linux aimed at NAND flash memory-based storage
 devices, such as SSD, eMMC, and SD cards. It is based on Log-structured File
 System (LFS).

Package: f2fs-tools-dbg
Section: debug
Architecture: linux-any
Depends: f2fs-tools (= ${binary:Version}), ${misc:Depends}
Description: Tools for Flash-Friendly File System (debug)
 F2FS is a new filesystem for Linux aimed at NAND flash memory-based storage
 devices, such as SSD, eMMC, and SD cards. It is based on Log-structured File
 System (LFS).
 .
 This package contains the debugging symbols.

=== lintian-brush/tests/debian-control-has-empty-field/simple/in/debian/control ===
Source: lintian-brush
Depends:

Package: lintian-brush
Description: Testing
 Test test
Provides:

=== lintian-brush/tests/debian-source-options-has-custom-compression-settings/override/in/debian/control ===
Source: debootstrap

=== lintian-brush/tests/debian-watch-file-old-format/outdated/in/debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ https://pypi.debian.net/dulwich dulwich-(.*).tar.gz

=== lintian-brush/tests/debian-watch-file-uses-old-github-pattern/archive-version-re/out/debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg.*$//,repacksuffix=+dfsg https://github.com/xonsh/xonsh/tags .*/archive/refs/tags/v?([\d\.]+).tar.gz

=== lintian-brush/tests/debian-watch-file-uses-old-github-pattern/not-github/in/debian/watch ===
version=4
http://host.tld/1.2.3.tar.gz

=== lintian-brush/tests/debian-watch-file-uses-old-github-pattern/reactphp-promise/out/debian/watch ===
version=4
opts=uversionmangle=s/-?([^\d.])\.?/~$1/i;tr/A-Z/a-z/ https://github.com/reactphp/promise/releases .*/archive/refs/tags/v?(\d.+).tar.gz

## lintian-brush 0.162build1

=== Makefile ===
VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d " " -f 2)

default: check

.PHONY: build

build:
	./setup.py build_ext -i

check:: testsuite tag-status ruff

.PHONY: ruff testsuite unsupported

ruff::
	ruff check py/ lintian-brush/fixers/

typing:: build
	mypy py/ lintian-brush/fixers/

tag-status::
	$(MAKE) -C lintian-brush tag-status

testsuite:: build
	PYTHONPATH=$(shell pwd)/py python3 -m unittest lintian_brush.tests.test_suite
	PYTHONPATH=$(shell pwd)/py cargo test 

README.md::
	PYTHONPATH=$(PWD)/py:$(PYTHONPATH) ./buildtools/update-readme.py

lintian-tags:
	lintian-explain-tags --list-tags > lintian-tags

.PHONY: lintian-tags lintian-brush-tags

unsupported: lintian-tags lintian-brush-tags
	awk 'NR==FNR{a[$$0]=1;next}!a[$$0]' lintian-brush-tags lintian-tags

update-readme:
	brz diff README.md
	$(MAKE) README.md
	brz diff README.md || brz commit -m "Update list of fixers in README.md" README.md

update-spdx:
	python3 download-license-data.py > spdx.json
	brz diff spdx.json || brz commit -m "Update SPDX license data" spdx.json

update-key-package-versions:
	python3 analyzer/key-package-versions.py analyzer/key-package-versions.json
	brz diff analyzer/key-package-versions.json || brz commit -m "Update key package versions" analyzer/key-package-versions.json

update-renamed-tags:
	$(MAKE) -C lintian-brush update-renamed-tags

update: update-spdx update-readme update-renamed-tags update-key-package-versions

next:
	$(MAKE) -C lintian-brush next

docker:
	buildah build -t ghcr.io/jelmer/lintian-brush:latest Dockerfile.lintian-brush .
	buildah push ghcr.io/jelmer/lintian-brush:latest
	buildah build -t ghcr.io/jelmer/deb-scrub-obsolete:latest Dockerfile.deb-scrub-obsolete .
	buildah push ghcr.io/jelmer/deb-scrub-obsolete:latest
	buildah build -t ghcr.io/jelmer/debianize:latest Dockerfile.debianize .
	buildah push ghcr.io/jelmer/debianize:latest
	buildah build -t ghcr.io/jelmer/debianize:latest Dockerfile.debianize .
	buildah push ghcr.io/jelmer/debianize:latest

=== debian/changelog ===
lintian-brush (0.162build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 22 Oct 2025 11:57:56 +0000

=== lintian-brush/tests/binary-control-field-duplicates-source/debcargo/in/debian/changelog ===
rust-foo (0.1.2-1) UNRELEASED; urgency=medium

  * Initial release. (Closes: #XXXXXX)

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 20 Mar 2021 21:54:19 +0000

=== lintian-brush/tests/debian-changelog-has-wrong-day-of-week/simple/in/debian/changelog ===
bzrtools (2.6.0-5) UNRELEASED; urgency=medium

  [ Jelmer Vernooĳ ]
  * Remove unnecessary XS-Testsuite field in debian/control.
  * Use secure copyright file specification URI.
  * Remove unnecessary X-Python{,3}-Version field in debian/control.
  * Trim trailing whitespace.

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 10.
  * Trim trailing whitespace.
  * Set upstream metadata fields: Contact, Name.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon,  3 Sep 2018 01:41:31 +0100

bzrtools (2.6.0-4) unstable; urgency=medium

  * Bump standards version to 4.1.4 (no changes).
  * Add Vincent as uploader.
  * Upgrade to debhelper 9.
  * Bump X-Python-Version up to 2.7.
  * Switch Vcs-Git to launchpad.net, as alioth's bzr hosting is no more.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 22 Apr 2018 00:58:14 +0000

bzrtools (2.6.0-3) unstable; urgency=medium

  * Bump the versionized dependency on bzr (Closes: #814539).

 -- Vincent Ladeuil <v.ladeuil+lp@free.fr>  Fri, 12 Feb 2016 20:57:32 +0100

=== lintian-brush/tests/debian-changelog-line-too-long/not-first-block-thorough/out/debian/changelog ===
blah (2.6.1) unstable; urgency=medium

  * This entry does not have any long lines.

 -- Joe Example <joe@example.com>  Mon, 26 Feb 2018 11:31:48 -0800

=== lintian-brush/tests/file-contains-trailing-whitespace/control/in/debian/changelog ===
lintian-brush (0.1-1) UNRELEASED; urgency=medium

  * Initial release. (Closes: #XXXXXX)

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 28 Oct 2018 00:09:52 +0000

=== lintian-brush/tests/initial-upload-closes-no-bugs/nothing/in/debian/changelog ===
test (0.1-2) UNRELEASED; urgency=medium

  * Another change.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 13 May 2022 19:31:45 +0100

test (0.1-1) unstable; urgency=medium

  * Initial snapshot.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 13 May 2022 19:31:45 +0100

=== lintian-brush/tests/new-package-uses-date-based-version-number/fix/out/debian/changelog ===
example (0~20200101-1) UNRELEASED; urgency=medium

  * Initial release. (Closes: #XXXXXX)

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 13 May 2022 19:15:57 +0100

=== lintian-brush/tests/new-package-uses-date-based-version-number/old/in/debian/changelog ===
example (20200101-1) unstable; urgency=medium

  * Initial release. (Closes: #XXXXXX)

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 13 May 2022 19:15:57 +0100

=== lintian-brush/tests/out-of-date-standards-version/4.1.4-epoch/in/debian/changelog ===
blah (1:0.48) UNRELEASED; urgency=medium

  * Add some things.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 15 Dec 2019 17:20:33 +0000

=== lintian-brush/tests/quilt-series-but-no-build-dep/debcargo/in/debian/changelog ===
rust-foo (0.0.1-1) UNRELEASED; urgency=medium

  * Initial release. (Closes: #XXXXXX)

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 20 Mar 2021 22:09:58 +0000

=== lintian-brush/tests/unnecessary-team-upload/complete/in/debian/changelog ===
lintian-brush (0.1-2) unstable; urgency=medium

  * Team upload.

  [ Jelmer Vernooĳ ]
  * blah

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 23 Nov 2018 14:00:02 +0000

lintian-brush (0.1-1) unstable; urgency=medium

  * Initial release. (Closes: #XXXXXX)

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 28 Oct 2018 00:09:52 +0000

=== lintian-brush/tests/unnecessary-team-upload/simple/in/debian/changelog ===
lintian-brush (0.1-2) UNRELEASED; urgency=medium

  * Team upload.

  [ Jelmer Vernooĳ ]
  * blah

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 23 Nov 2018 14:00:02 +0000

=== debian/control ===
Source: lintian-brush
Section: devel
Priority: optional
Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
Build-Depends: bash-completion,
               debhelper (>= 13.5),
               debhelper-compat (= 13),
               decopy,
               devscripts,
               dh-python,
               dos2unix,
               gpg,
               librust-async-trait-dev,
               librust-breezyshim+dirty-tracker-dev (>= 0.1.101),
               librust-breezyshim-dev (>= 0.1.101),
               librust-buildlog-consultant-dev,
               librust-chrono-dev (>= 0.4),
               librust-clap+cargo-dev (>= 4),
               librust-clap+derive-dev (>= 4),
               librust-clap+env-dev (>= 4),
               librust-clap+string-dev (>= 4),
               librust-clap+suggestions-dev (>= 4),
               librust-configparser-dev (>= 3.0.2),
               librust-debian-analyzer-dev (>= 0.158.18),
               librust-debian-changelog-dev (>= 0.2),
               librust-debian-control-dev (>= 0.1.38),
               librust-debian-copyright-dev (>= 0.1.27),
               librust-debversion-dev (>= 0.1.8),
               librust-dep3-dev,
               librust-distro-info-dev (>= 0.4.0),
               librust-env-logger-dev (>= 0.9),
               librust-flate2-dev,
               librust-fs-extra-dev,
               librust-humantime-dev,
               librust-indicatif-dev (>= 0.17),
               librust-lazy-regex-dev (>= 2),
               librust-lazy-static-dev (>= 1.4),
               librust-log-dev (>= 0.4),
               librust-makefile-lossless-dev (>= 0.2.0),
               librust-maplit-dev (>= 1),
               librust-merge3-dev,
               librust-ognibuild-dev,
               librust-patchkit-dev,
               librust-pyo3+auto-initialize-dev (>= 0.22),
               librust-pyo3+chrono-dev (>= 0.22),
               librust-pyo3+serde-dev (>= 0.22),
               librust-pyo3-log-dev,
               librust-reqwest+blocking-dev (>= 0.11),
               librust-serde+derive-dev (>= 1),
               librust-serde-json-dev (>= 1),
               librust-serde-yaml-dev (>= 0.8),
               librust-serial-test-dev (>= 0.2),
               librust-svp-client-dev,
               librust-tempfile-dev (>= 3),
               librust-tokio-dev,
               librust-toml-edit-dev,
               librust-url+serde-dev (>= 2),
               librust-wait-timeout-dev,
               librust-xdg-dev,
               librust-xz2-dev (>= 0.1),
               lintian (>= 2.105.0),
               po-debconf,
               pybuild-plugin-pyproject,
               python3-all,
               python3-breezy (>= 3.3.1~),
               python3-breezy.tests,
               python3-bs4,
               python3-debian,
               python3-debmutate (>= 0.67),
               python3-distro-info,
               python3-dulwich,
               python3-iniparse,
               python3-iso8601,
               python3-levenshtein,
               python3-pkg-resources,
               python3-ruamel.yaml,
               python3-semver,
               python3-setuptools,
               python3-setuptools-rust,
               python3-tomlkit,
               python3-upstream-ontologist (>= 0.1.42),
               rustc
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/jelmer/lintian-brush.git
Vcs-Browser: https://salsa.debian.org/jelmer/lintian-brush
Homepage: https://salsa.debian.org/jelmer/lintian-brush

Package: lintian-brush
Architecture: any
Depends: devscripts,
         python3-breezy (>= 3.3.1~),
         python3-debian,
         python3-debmutate (>= 0.67),
         python3-distro-info,
         python3-dulwich,
         python3-iniparse,
         python3-iso8601,
         python3-pkg-resources,
         python3-ruamel.yaml,
         python3-upstream-ontologist (>= 0.1.34),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: debhelper (>= 13.5),
            decopy,
            dos2unix,
            gpg,
            lintian (>= 2.105.0),
            python3-bs4,
            python3-levenshtein,
            python3-psycopg2,
            python3-semver,
            python3-tomlkit
Suggests: brz-debian (>= 2.8.66),
          git-buildpackage,
          gnome-pkg-tools,
          po-debconf,
          postgresql-common
Description: automatically fix lintian problems
 This package contains a set of scripts that can automatically fix more than 160
 common lintian issues in Debian packages.
 .
 It comes with a wrapper script that invokes the scripts, updates
 the changelog (if desired) and commits each change to
 version control.

=== debian/rules ===
#!/usr/bin/make -f

export CARGO_HOME=$(shell pwd)/debian/cargo_home
ZSH_COMPDIR = /usr/share/zsh/vendor-completions/

%:
	dh $@ --with python3,bash_completion --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/lintian-brush/$(ZSH_COMPDIR)
	install -m644 debian/lintian-brush.zsh-completion \
	    debian/lintian-brush/$(ZSH_COMPDIR)/_lintian-brush

override_dh_auto_clean:
	if test -f Cargo.lock.saved; then mv Cargo.lock.saved Cargo.lock; fi
	dh_auto_clean

override_dh_auto_build:
	mv Cargo.lock Cargo.lock.saved
	dh_auto_build

override_dh_auto_test:
	make testsuite

=== lintian-brush/tests/debhelper-tools-from-autotools-dev-are-deprecated/debhelper-compat/out/debian/rules ===
#!/usr/bin/make -f

configure-stamp:
	dh_update_autotools_config
	./configure
	touch $@

dh:
	dh $*

clean:
	dh_blah
	dh_clean

=== lintian-brush/tests/debian-control-has-obsolete-dbg-package/dh/out/debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_UPSTREAM_VERSION ?= $(shell dpkg-parsechangelog | \
			  sed -rne 's,^Version: ([^-]+).*,\1,p')

%:
	dh $@ --with autoreconf --dbgsym-migration='f2fs-tools-dbg (<< 1.0-1~)'

override_dh_auto_configure:
	dh_auto_configure -- --sbindir=/sbin \
		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--with-root-libdir=/lib/$(DEB_HOST_MULTIARCH)

override_dh_install:
	find $(CURDIR) -name "*.la" -delete
	dh_install --list-missing

get-orig-source:
	wget http://git.kernel.org/cgit/linux/kernel/git/jaegeuk/f2fs-tools.git/snapshot/f2fs-tools-$(DEB_UPSTREAM_VERSION).tar.xz
	mv f2fs-tools-$(DEB_UPSTREAM_VERSION).tar.xz f2fs-tools_$(DEB_UPSTREAM_VERSION).orig.tar.xz

override_dh_shlibdeps:
	dh_shlibdeps -a -p f2fs-tools-udeb -- -xlibf2fs5 -xlibf2fs-format4
	dh_shlibdeps -a -N f2fs-tools-udeb

=== lintian-brush/tests/debian-control-has-obsolete-dbg-package/nochange/in/debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_UPSTREAM_VERSION ?= $(shell dpkg-parsechangelog | \
			  sed -rne 's,^Version: ([^-]+).*,\1,p')

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --sbindir=/sbin \
		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--with-root-libdir=/lib/$(DEB_HOST_MULTIARCH)

override_dh_install:
	find $(CURDIR) -name "*.la" -delete
	dh_install --list-missing

get-orig-source:
	wget http://git.kernel.org/cgit/linux/kernel/git/jaegeuk/f2fs-tools.git/snapshot/f2fs-tools-$(DEB_UPSTREAM_VERSION).tar.xz
	mv f2fs-tools-$(DEB_UPSTREAM_VERSION).tar.xz f2fs-tools_$(DEB_UPSTREAM_VERSION).orig.tar.xz

override_dh_shlibdeps:
	dh_shlibdeps -a -p f2fs-tools-udeb -- -xlibf2fs5 -xlibf2fs-format4
	dh_shlibdeps -a -N f2fs-tools-udeb

=== lintian-brush/tests/debian-rules-contains-unnecessary-get-orig-source-target/larstiq/in/debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

get-orig-source:
	wget https://example.com/blah.tar.gz

override_dh_install:
	dh_install --blah

=== lintian-brush/tests/debian-rules-contains-unnecessary-get-orig-source-target/uscan-phony/in/debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

get-orig-source:
	uscan --verbose

.PHONY: override_dh_install get-orig-source

override_dh_install:
	dh_install --blah

=== lintian-brush/tests/debian-rules-contains-unnecessary-get-orig-source-target/uscan/in/debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

get-orig-source:
	uscan --verbose

override_dh_install:
	dh_install --blah

=== lintian-brush/tests/debian-rules-missing-recommended-target/dh/in/debian/rules ===
#!/usr/bin/make -f

%:
	dh $*

=== lintian-brush/tests/debian-rules-missing-recommended-target/include/in/debian/rules ===
#!/usr/bin/make -f

include /usr/share/foo.mk

build: blah
	$(MAKE) install DESTDIR=debian/..

clean:
	dh_prep -k

=== lintian-brush/tests/debian-rules-missing-recommended-target/same-line/in/debian/rules ===
#!/usr/bin/make -f

build build-indep: $(BUILD_TARGETS)

build-arch install-arch binary-arch:
# nothing

.PHONY: build build-indep build-arch clean binary binary-indep binary-arch install install-indep install-arch

=== lintian-brush/tests/debian-rules-parses-dpkg-parsechangelog/simple/out/debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
DEB_UPSTREAM_VERSION := $(shell echo $(DEB_VERSION) | cut -d+ -f1)

%:
	dh $@

version:
	echo $(DEB_VERSION)

=== lintian-brush/tests/debian-rules-sets-dpkg-architecture-variable/include-present/in/debian/rules ===
#! /usr/bin/make -f

CONFIGURE_FLAGS := \
	--disable-fem-toolbox \
	--without-gpskca \
	--without-OpenGL \
	--without-gltools \
	--without-OpenDX \
	--without-grape \
	--without-silo

include /usr/share/dpkg/architecture.mk
DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
ifneq (,$(filter powerpc ppc64 ppc64el,$(DEB_HOST_ARCH)))
  export DEB_BUILD_MAINT_OPTIONS=hardening=-stackprotector
  CONFIGURE_FLAGS += CC=clang
endif

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_FLAGS)

override_dh_strip:
	dh_strip --dbg-package=libalberta-dbg

=== lintian-brush/tests/debian-rules-sets-dpkg-architecture-variable/more-manipulation/out/debian/rules ===
#! /usr/bin/make -f

CONFIGURE_FLAGS := \
	--disable-fem-toolbox \
	--without-gpskca \
	--without-OpenGL \
	--without-gltools \
	--without-OpenDX \
	--without-grape \
	--without-silo

DEB_HOST_ARCH_OS=$(shell dpkg-architecture -qDEB_HOST_ARCH_OS | tr '[:lower:]' '[:upper:]')
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
ifneq (,$(filter powerpc ppc64 ppc64el,$(DEB_HOST_ARCH)))
  export DEB_BUILD_MAINT_OPTIONS=hardening=-stackprotector
  CONFIGURE_FLAGS += CC=clang
endif

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_FLAGS)

override_dh_strip:
	dh_strip --dbg-package=libalberta-dbg

=== lintian-brush/tests/debian-rules-sets-dpkg-architecture-variable/opinionated-unnecessary/in/debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_MAINT_OPTIONS := hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

%:
	dh  $@

=== lintian-brush/tests/debian-rules-should-not-use-pwd/simple/out/debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --sourcedirectory=src

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp -- INSTALL_ROOT=$(CURDIR)/debian/tmp

=== lintian-brush/tests/debian-rules-uses-as-needed-linker-flag/last-with-comment/in/debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
# Lalal
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-gtk-doc

override_dh_install:
	find debian/ -name '*.la' -print -delete
	dh_install

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

=== lintian-brush/tests/debian-rules-uses-as-needed-linker-flag/last/in/debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-gtk-doc

override_dh_install:
	find debian/ -name '*.la' -print -delete
	dh_install

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

=== lintian-brush/tests/debian-rules-uses-as-needed-linker-flag/multiple-wl-args/out/debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,-z,relno

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-gtk-doc

override_dh_install:
	find debian/ -name '*.la' -print -delete
	dh_install

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

=== lintian-brush/tests/debian-rules-uses-as-needed-linker-flag/simple/in/debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-gtk-doc

override_dh_install:
	find debian/ -name '*.la' -print -delete
	dh_install

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

=== lintian-brush/tests/debian-rules-uses-as-needed-linker-flag/simple/out/debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-gtk-doc

override_dh_install:
	find debian/ -name '*.la' -print -delete
	dh_install

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

=== lintian-brush/tests/debian-rules-uses-as-needed-linker-flag/split/in/debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
export DEB_LDFLAGS_MAINT_APPEND

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-gtk-doc

override_dh_install:
	find debian/ -name '*.la' -print -delete
	dh_install

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

=== lintian-brush/tests/debian-rules-uses-special-shell-variable/simple/in/debian/rules ===
#!/usr/bin/make -f

%:
	dh $*

get-orig-source:
	uscan --download --package gtk-nodoka-engine --destdir=$(CURDIR) \
              --no-symlink --upstream-version 0 --watchfile=$(dir $(_))/watch

=== lintian-brush/tests/debian-rules-uses-special-shell-variable/simple/out/debian/rules ===
#!/usr/bin/make -f

%:
	dh $*

get-orig-source:
	uscan --download --package gtk-nodoka-engine --destdir=$(CURDIR) \
              --no-symlink --upstream-version 0 --watchfile=$(dir $(firstword $(MAKEFILE_LIST)))/watch

=== lintian-brush/tests/debian-rules-uses-unnecessary-dh-argument/unset/in/debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --no-parallel

override_dh_auto_build:
	dh_auto_build --parallel

=== lintian-brush/tests/debug-symbol-migration-possibly-complete/noop/in/debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	dh_install

.PHONY: override_dh_test override_dh_install

=== lintian-brush/tests/debug-symbol-migration-possibly-complete/old-comment/in/debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_strip:
	# no longer necessary after buster
	dh_strip --dbgsym-migration='amule-dbg (<< 1:2.3.2-2~)'

override_dh_test:
ifneq (${SOME_TEST_THING}, 1)
	dh_test
endif

.PHONY: override_dh_test override_dh_strip

=== lintian-brush/tests/debug-symbol-migration-possibly-complete/old-or/in/debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_strip:
	dh_strip --dbgsym-migration='amule-dbg (<< 1:2.3.2-2~)' || dh_strip

override_dh_test:
ifneq (${SOME_TEST_THING}, 1)
	dh_test
endif

=== lintian-brush/tests/debug-symbol-migration-possibly-complete/old/in/debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_strip:
	dh_strip --dbgsym-migration='amule-dbg (<< 1:2.3.2-2~)'

override_dh_test:
ifneq (${SOME_TEST_THING}, 1)
	dh_test
endif

.PHONY: override_dh_test override_dh_strip

=== lintian-brush/tests/debug-symbol-migration-possibly-complete/recent/in/debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_strip:
	dh_strip --dbgsym-migration='amule-dbg (<< 1:2.3.2-2~)'

=== lintian-brush/tests/declares-possibly-conflicting-debhelper-compat-versions/conflict/in/debian/rules ===
#!/usr/bin/make -f

export DH_COMPAT = 10

%:
	dh $@

=== lintian-brush/tests/dh-clean-k-is-deprecated/simple/in/debian/rules ===
#!/usr/bin/make -f

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

build: build-stamp

build-stamp:  
	dh_testdir

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/abicheck.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/abicheck


binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== lintian-brush/tests/dh-quilt-addon-but-quilt-source-format/no-3.0-quilt/in/debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=quilt

=== lintian-brush/tests/missing-build-dependency-for-dh_-command/debhelper/in/debian/rules ===
#!/usr/bin/make

%:
	dh $@ --with autoreconf

override_dh_auto_clean:
	dh_auto_clean

=== lintian-brush/tests/missing-build-dependency-for-dh_-command/exists/in/debian/rules ===
#!/usr/bin/make

%:
	dh $@

override_dh_build:
	dh_python3

=== lintian-brush/tests/package-uses-deprecated-debhelper-compat-version/disabled-autoreconf/in/debian/rules ===
#!/usr/bin/make -f

%:
	dh --without autoreconf --with python2

=== lintian-brush/tests/package-uses-deprecated-debhelper-compat-version/discard-unnecessary-override/in/debian/rules ===
all:
	dh_clean -k
	dh --with=systemd,blah --buildsystem=python_distutils

override_dh_install:
	dh_install --list-missing

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

=== lintian-brush/tests/package-uses-deprecated-debhelper-compat-version/discard-unnecessary-override/out/debian/rules ===
all:
	dh_prep
	dh --with=blah --buildsystem=pybuild

override_dh_clean:
	dh_clean -O--buildsystem=pybuild
	rm -rf build

=== lintian-brush/tests/package-uses-deprecated-debhelper-compat-version/fail-missing-default/out/debian/rules ===
%:
	dh $@

=== lintian-brush/tests/package-uses-deprecated-debhelper-compat-version/install-fail-missing-default/in/debian/rules ===
%:
	dh $@ --fail-missing

=== lintian-brush/tests/package-uses-deprecated-debhelper-compat-version/pybuild/out/debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_auto_build:
	PYBUILD_BUILD_ARGS=--install-lib=foo dh_auto_build

=== lintian-brush/tests/package-uses-deprecated-debhelper-compat-version/rules-dh-order/in/debian/rules ===
#!/usr/bin/make -f

%:
	dh --with python2 --buildsystem=python_distutils $@

=== lintian-brush/tests/package-uses-deprecated-debhelper-compat-version/with-rules/in/debian/rules ===
all:
	dh_clean -k
	dh --with=systemd,blah --buildsystem=python_distutils


# This comment will also be removed, since it relates to override_dh_install.
override_dh_install:
	dh_install --fail-missing --list-missing

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_install_changelogs:
	dh_install_changelogs -s

override_dh_installinit:
	dh_installinit -R -pracoon -- start 40 S . stop 07 0 1 6 .
	dh_installinit -R -pipsec-tools --name=setkey --no-start -- start 14 S .

override_dh_systemd_enable:
	dh_systemd_enable -pracoon

=== lintian-brush/tests/source-format/1.0-quilt-custom-dir/in/debian/rules ===
export QUILT_PATCH_DIR = debian/patches-applied

=== lintian-brush/tests/typo-in-debhelper-override-target/mh-install/in/debian/rules ===
#!/usr/bin/make -f

%:
	dh $*

execute_before_mh_install:
	lala

=== lintian-brush/tests/useless-autoreconf-build-depends/debhelper-dep/in/debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf

=== lintian-brush/tests/useless-autoreconf-build-depends/debhelper-dep/out/debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

=== debian/tests/control ===
Test-Command: deb-scrub-obsolete --version
Depends: @
Restrictions: allow-stderr

Test-Command: lintian-brush --version
Depends: @
Restrictions: allow-stderr

Tests: lintian-brush-fixer-count
Depends: @
Restrictions: allow-stderr

=== lintian-brush/tests/ancient-python-version-field/python2/out/debian/control ===
Source: lintian-brush

Package: lintian-brush
Description: Testing
 Test test

=== lintian-brush/tests/ancient-python-version-field/python3/in/debian/control ===
Source: lintian-brush
X-Python3-Version: >= 3.2

Package: lintian-brush
Description: Testing
 Test test

=== lintian-brush/tests/autotools-pkg-config-macro-not-cross-compilation-safe/simple/in/debian/control ===
Source: foo

=== lintian-brush/tests/autotools-pkg-config-macro-not-cross-compilation-safe/simple/out/debian/control ===
Source: foo
Build-Depends: pkg-config

=== lintian-brush/tests/build-depends-on-build-essential/simple/out/debian/control ===
Source: blah
Build-Depends: libgtk+-3.0-dev

=== lintian-brush/tests/build-depends-on-obsolete-package/dh-systemd/in/debian/control ===
Source: acpi-support
Section: admin
Priority: optional
Maintainer: Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50~), quilt (>= 0.40),
	libsystemd-dev [linux-any], dh-systemd (>= 1.5), pkg-config

Package: acpi-support
Architecture: all
Depends: acpi-support-base (>= 0.109-1), x11-xserver-utils, acpid (>= 1.0.4),
	lsb-base (>= 1.3-9), pm-utils, ${arch:Depends},
	${misc:Depends}
Description: scripts for handling many ACPI events
 This package contains scripts to react to various ACPI events. It only
 includes scripts for events that can be supported with some level of
 safety cross platform.
 .
 It is able to:
  * Detect loss and gain of AC power, lid closure, and the press of a
    number of specific buttons (on Asus, IBM, Lenovo, Panasonic, Sony
    and Toshiba laptops).
  * Suspend, hibernate and resume the computer, with workarounds for 
    hardware that needs it.
  * On some laptops, set screen brightness.
 .
 Besides some system tools acpi-support recommends vbetool to be able to power
 off the screen and some screensavers to be able to lock the screen on lid
 close.

=== lintian-brush/tests/build-depends-on-obsolete-package/no-build-depends/in/debian/control ===
Source: acpi-support
Section: admin
Priority: optional
Maintainer: Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>

Package: acpi-support
Architecture: all
Depends: acpi-support-base (>= 0.109-1), x11-xserver-utils, acpid (>= 1.0.4),
	lsb-base (>= 1.3-9), pm-utils, ${arch:Depends},
	${misc:Depends}
Description: scripts for handling many ACPI events
 This package contains scripts to react to various ACPI events. It only
 includes scripts for events that can be supported with some level of
 safety cross platform.
 .
 It is able to:
  * Detect loss and gain of AC power, lid closure, and the press of a
    number of specific buttons (on Asus, IBM, Lenovo, Panasonic, Sony
    and Toshiba laptops).
  * Suspend, hibernate and resume the computer, with workarounds for 
    hardware that needs it.
  * On some laptops, set screen brightness.
 .
 Besides some system tools acpi-support recommends vbetool to be able to power
 off the screen and some screensavers to be able to lock the screen on lid
 close.

=== lintian-brush/tests/build-depends-on-obsolete-package/no-changes/in/debian/control ===
Source: acpi-support
Section: admin
Priority: optional
Maintainer: Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50~), quilt (>= 0.40),
	libsystemd-dev [linux-any], pkg-config

Package: acpi-support
Architecture: all
Depends: acpi-support-base (>= 0.109-1), x11-xserver-utils, acpid (>= 1.0.4),
	lsb-base (>= 1.3-9), pm-utils, ${arch:Depends},
	${misc:Depends}
Description: scripts for handling many ACPI events
 This package contains scripts to react to various ACPI events. It only
 includes scripts for events that can be supported with some level of
 safety cross platform.
 .
 It is able to:
  * Detect loss and gain of AC power, lid closure, and the press of a
    number of specific buttons (on Asus, IBM, Lenovo, Panasonic, Sony
    and Toshiba laptops).
  * Suspend, hibernate and resume the computer, with workarounds for 
    hardware that needs it.
  * On some laptops, set screen brightness.
 .
 Besides some system tools acpi-support recommends vbetool to be able to power
 off the screen and some screensavers to be able to lock the screen on lid
 close.

=== lintian-brush/tests/built-using-for-golang/add/in/debian/control ===
Source: blah
Architecture: any
Build-Depends: golang-go

Package: blah
Description: blah
 blah

=== lintian-brush/tests/built-using-for-golang/not-go/in/debian/control ===
Source: blah
Architecture: any

Package: blah
Architecture: all
Built-Using: ${misc:Built-Using}
Description: blah
 blah

=== lintian-brush/tests/debhelper-but-no-misc-depends/pre-depends/in/debian/control ===
Source: f2fs-tools
Section: admin
Priority: optional
Maintainer: Jelmer Vernooij <jelmer@debian.org>
Build-Depends:
 debhelper (>= 9)
Standards-Version: 4.2.0

Package: f2fs-tools
Pre-Depends: ${misc:Depends}
Architecture: linux-any
Depends: libf2fs5 (= ${binary:Version}), libf2fs-format4 (= ${binary:Version}), ${shlibs:Depends}
Description: Tools for Flash-Friendly File System
 F2FS is a new filesystem for Linux aimed at NAND flash memory-based storage
 devices, such as SSD, eMMC, and SD cards. It is based on Log-structured File
 System (LFS).
